Name:           perl-ORLite-Mirror
Version:        1.24
Release:        4%{?dist}
Summary:        Extend ORLite to support remote SQLite databases
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ORLite-Mirror/
Source0:        http://www.cpan.org/authors/id/A/AD/ADAMK/ORLite-Mirror-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::HomeDir) >= 0.69
BuildRequires:  perl(File::Path) >= 2.04
BuildRequires:  perl(File::Remove) >= 1.42
BuildRequires:  perl(File::ShareDir) >= 1.00
BuildRequires:  perl(File::Spec) >= 0.80
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(IO::Compress::Bzip2) >= 2.008
BuildRequires:  perl(IO::Compress::Gzip) >= 2.008
BuildRequires:  perl(IO::Uncompress::Bunzip2) >= 2.008
BuildRequires:  perl(IO::Uncompress::Gunzip) >= 2.008
BuildRequires:  perl(LWP::Online) >= 1.07
BuildRequires:  perl(LWP::UserAgent) >= 5.806
BuildRequires:  perl(ORLite) >= 1.37
BuildRequires:  perl(Params::Util) >= 0.33
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(URI) >= 1.35
BuildRequires:  perl(vars)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
ORLite provides a read-only ORM API when it loads a read-only SQLite database
from your local system. By combining this capability with LWP, ORLite::Mirror
goes one step better and allows you to load a SQLite database from any
arbitrary URI in read-only form as well.

%prep
%setup -q -n ORLite-Mirror-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name stub.db -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.24-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Aug 02 2013 Petr Pisar <ppisar@redhat.com> - 1.24-3
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 02 2012 Iain Arnell <iarnell@gmail.com> 1.24-1
- update to latest upstream version

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 1.23-2
- Perl 5.16 rebuild

* Fri Feb 03 2012 Iain Arnell <iarnell@gmail.com> 1.23-1
- update to latest upstream version

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Aug 12 2011 Iain Arnell <iarnell@gmail.com> 1.22-1
- update to latest upstream
- drop proxy patch as proxy support is included now

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 1.21-2
- Perl mass rebuild

* Sun Jun 05 2011 Iain Arnell <iarnell@gmail.com> 1.21-1
- update to latest upstream version

* Tue May 10 2011 Iain Arnell <iarnell@gmail.com> 1.20-4
- add proxy support (rt #61795)

* Tue Apr 26 2011 Iain Arnell <iarnell@gmail.com> 1.20-3
- don't install the test stub.db

* Mon Apr 25 2011 Iain Arnell <iarnell@gmail.com> 1.20-2
- fix spelling in description

* Sun Apr 24 2011 Iain Arnell <iarnell@gmail.com> 1.20-1
- Specfile autogenerated by cpanspec 1.79.
